These are the minimum requirements our WP Core calendar plugin.

Minimum requirements:

  • PHP version: 5.2
  • PHP memory: 128MB

Recommended:

  • PHP version: 5.6 or greater
  • PHP memory: 256MB or greater

 

PHP extensions used:

All in one event calendar core (2.4.0):

  • Reflection
  • SimpleXML
  • apc
  • ctype
  • curl
  • date
  • dom
  • filter
  • hash
  • iconv
  • json
  • mbstring
  • mcrypt
  • pcre
  • spl
  • standard
  • tokenizer
  • xml
  • zlib (optional)

CSV import (1.0.6)

  • date
  • Standard

Extended views (1.2.7)

  • standard

Frontend submissions (1.2.5)

  • filter
  • json
  • pcre
  • standard

Super widget (1.1.3)

  • date
  • standard

Venue (1.1.3)

  • standard

Twitter (1.1.4)

  • OAuth
  • ctype
  • curl
  • date
  • hash
  • json
  • mbstring
  • openssl
  • pcre
  • standard